Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 730072 - sys-devel/clang-10.x fails test: clang-tidy/checkers/abseil-duration-factory-scale.cpp
Summary: sys-devel/clang-10.x fails test: clang-tidy/checkers/abseil-duration-factory-...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: LLVM support project
URL:
Whiteboard:
Keywords: TESTFAILURE
: 743829 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-06-28 22:04 UTC by Thomas Deutschmann
Modified: 2020-11-17 18:34 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log.gz,305.25 KB, application/x-gzip)
2020-06-28 22:04 UTC, Thomas Deutschmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deutschmann gentoo-dev Security 2020-06-28 22:04:32 UTC
Created attachment 647022 [details]
build.log

> Testing Time: 23.69s
> ********************
> Failing Tests (1):
>     Clang Tools :: clang-tidy/checkers/abseil-duration-factory-scale.cpp
> 
>   Expected Passes    : 881
>   Expected Failures  : 2
>   Unsupported Tests  : 1
>   Unexpected Failures: 1
> FAILED: tools/extra/test/CMakeFiles/check-clang-tools
> cd /var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test && /var/tmp/portage/sys-devel/clang-10.0.0/temp/python3.7/bin/python /var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/./bin/llvm-lit -vv -j 5 /var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test
> ninja: build stopped: subcommand failed.
>  * ERROR: sys-devel/clang-10.0.0::gentoo failed (test phase):
>  *   ninja -v -j5 -l7.95 check-clang-tools check-clangd failed
>  *
> 



sh bash 5.0_p17
ld GNU ld (Gentoo 2.33.1 p2) 2.33.1
app-shells/bash:          5.0_p17::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.30.3::gentoo
dev-lang/python:          2.7.18::gentoo, 3.6.10-r2::gentoo, 3.7.7-r2::gentoo, 3.8.2-r2::gentoo
dev-util/cmake:           3.16.5::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/openrc:          0.42.1::gentoo
sys-apps/sandbox:         2.18::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.16.1-r1::gentoo
sys-devel/binutils:       2.33.1-r1::gentoo
sys-devel/gcc:            9.3.0::gentoo
sys-devel/gcc-config:     2.2.1::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 5.4-r1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.30-r8::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: git
    sync-uri: https://anongit.gentoo.org/git/repo/sync/gentoo.git
    priority: -1000

ABI="x86"
ABI_X86="32"
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="*"
ACCEPT_PROPERTIES="*"
ACCEPT_RESTRICT="*"
ADA_TARGET="gnat_2018"
ANT_HOME="/usr/share/ant"
ARCH="x86"
BROOT=""
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=pentium4m -mtune=pentium4m -Wno-error=jump-misses-init -Wno-error=sign-compare"
CHOST="i686-pc-linux-gnu"
CHOST_x86="i686-pc-linux-gnu"
COLLISION_IGNORE="/lib/modules/*"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CPU_FLAGS_X86="mmx mmxext sse sse2"
CXXFLAGS="-O2 -pipe -march=pentium4m -mtune=pentium4m -Wno-error=jump-misses-init -Wno-error=sign-compare"
DEFAULT_ABI="x86"
EDITOR="/usr/bin/mcedit"
ELIBC="glibc"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
EPREFIX=""
EROOT="/"
ESYSROOT="/"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs cgroup config-protect-if-modified distlocks downgrade-backup ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -march=i686 -pipe"
GCC_SPECS=""
GRUB_PLATFORMS="efi-32 pc"
GSETTINGS_BACKEND="dconf"
HOME="/root"
INFOPATH="/usr/share/gcc-data/i686-pc-linux-gnu/9.3.0/info:/usr/share/binutils-data/i686-pc-linux-gnu/2.33.1/info:/usr/share/info"
INPUT_DEVICES="libinput"
IUSE_IMPLICIT="abi_x86_32 prefix prefix-guest prefix-stack"
JAVAC="/etc/java-config-2/current-system-vm/bin/javac"
JAVA_HOME="/etc/java-config-2/current-system-vm"
JDK_HOME="/etc/java-config-2/current-system-vm"
KERNEL="linux"
L10N="en en-US de de-DE"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LC_MESSAGES="C"
LC_PAPER="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LIBDIR_x86="lib"
LINGUAS="en de"
LOGNAME="root"
MAIL="/var/mail/root"
MAKEOPTS="--jobs 5 --load-average 7.95"
MANPAGER="manpager"
MOTD_SHOWN="pam"
MULTILIB_ABIS="x86"
NOCOLOR="true"
OFFICE_IMPLEMENTATION="libreoffice"
OLDPWD="/usr/portage"
OPENCL_PROFILE="ocl-icd"
OPENGL_PROFILE="xorg-x11"
PAGER="/usr/bin/less"
PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin:/usr/lib/llvm/9/bin"
PHP_TARGETS="php7-2 php7-3"
POSTGRES_TARGETS="postgres10 postgres11"
PWD="/usr/portage/sys-devel/llvm"
PYTHONDONTWRITEBYTECODE="1"
PYTHON_SINGLE_TARGET="python3_7"
PYTHON_TARGETS="python2_7 python3_7"
QT_GRAPHICSSYSTEM="raster"
ROOT="/"
ROOTPATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin:/usr/lib/llvm/9/bin"
RUBY_TARGETS="ruby25"
SHELL="/bin/bash"
SHLVL="2"
SSH_TTY="/dev/pts/0"
SYSROOT="/"
TERM="tmux-256color"
TMUX="/tmp//tmux-0/default,4763,0"
TMUX_PANE="%1"
TWISTED_DISABLE_WRITING_OF_PLUGIN_CACHE="1"
USER="root"
USERLAND="GNU"
VIDEO_CARDS="vmware"
XDG_CONFIG_DIRS="/etc/xdg"
XDG_DATA_DIRS="/usr/local/share:/usr/share"
XDG_RUNTIME_DIR="/run/user/0"
XDG_SESSION_CLASS="user"
XDG_SESSION_ID="1"
XDG_SESSION_TYPE="tty"
Comment 1 Thomas Deutschmann gentoo-dev Security 2020-06-28 22:05:01 UTC
Feel free to remove blocker if you believe this test failure shouldn't block stabilization.
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-06-29 06:33:57 UTC
Yeah, let's resolve it later.
Comment 3 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-06-30 06:15:05 UTC
FTR, exact failure from the log:

FAIL: Clang Tools :: clang-tidy/checkers/abseil-duration-factory-scale.cpp (62 of 885)
******************** TEST 'Clang Tools :: clang-tidy/checkers/abseil-duration-factory-scale.cpp' FAILED ********************
Script:
--
: 'RUN: at line 1';   /var/tmp/portage/sys-devel/clang-10.0.0/temp/python3.7/bin/python /var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang/tools/extra/test/../test/clang-tidy/check_clang_tidy.py /var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang/tools/extra/test/clang-tidy/checkers/abseil-duration-factory-scale.cpp abseil-duration-factory-scale /var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp -- -- -I/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang/tools/extra/test/clang-tidy/checkers/Inputs
--
Exit Code: 1

Command Output (stdout):
--
Running ['clang-tidy', '/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp', '-fix', '--checks=-*,abseil-duration-factory-scale', '-format-style=none', '--', '-I/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang/tools/extra/test/clang-tidy/checkers/Inputs', '-std=c++11', '-nostdinc++']...
------------------------ clang-tidy output -----------------------
25 warnings generated.
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:12:7: warning: use ZeroDuration() for zero-length time intervals [abseil-duration-factory-scale]
  d = absl::Hours(0);
      ^~~~~~~~~~~~~~
      absl::ZeroDuration()
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:12:7: note: FIX-IT applied suggested code changes
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:15:7: warning: use ZeroDuration() for zero-length time intervals [abseil-duration-factory-scale]
  d = absl::Minutes(0);
      ^~~~~~~~~~~~~~~~
      absl::ZeroDuration()
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:15:7: note: FIX-IT applied suggested code changes
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:18:7: warning: use ZeroDuration() for zero-length time intervals [abseil-duration-factory-scale]
  d = absl::Seconds(0);
      ^~~~~~~~~~~~~~~~
      absl::ZeroDuration()
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:18:7: note: FIX-IT applied suggested code changes
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:21:7: warning: use ZeroDuration() for zero-length time intervals [abseil-duration-factory-scale]
  d = absl::Milliseconds(0);
      ^~~~~~~~~~~~~~~~~~~~~
      absl::ZeroDuration()
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:21:7: note: FIX-IT applied suggested code changes
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:24:7: warning: use ZeroDuration() for zero-length time intervals [abseil-duration-factory-scale]
  d = absl::Microseconds(0);
      ^~~~~~~~~~~~~~~~~~~~~
      absl::ZeroDuration()
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:24:7: note: FIX-IT applied suggested code changes
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:27:7: warning: use ZeroDuration() for zero-length time intervals [abseil-duration-factory-scale]
  d = absl::Nanoseconds(0);
      ^~~~~~~~~~~~~~~~~~~~
      absl::ZeroDuration()
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:27:7: note: FIX-IT applied suggested code changes
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:30:7: warning: use ZeroDuration() for zero-length time intervals [abseil-duration-factory-scale]
  d = absl::Seconds(0.0);
      ^~~~~~~~~~~~~~~~~~
      absl::ZeroDuration()
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:30:7: note: FIX-IT applied suggested code changes
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:33:7: warning: use ZeroDuration() for zero-length time intervals [abseil-duration-factory-scale]
  d = absl::Seconds(0x0.000001p-126f);
      ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
      absl::ZeroDuration()
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:33:7: note: FIX-IT applied suggested code changes
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:36:7: warning: use ZeroDuration() for zero-length time intervals [abseil-duration-factory-scale]
  d = absl::Seconds(int{0});
      ^~~~~~~~~~~~~~~~~~~~~
      absl::ZeroDuration()
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:36:7: note: FIX-IT applied suggested code changes
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:39:7: warning: use ZeroDuration() for zero-length time intervals [abseil-duration-factory-scale]
  d = absl::Seconds(int64_t{0});
      ^~~~~~~~~~~~~~~~~~~~~~~~~
      absl::ZeroDuration()
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:39:7: note: FIX-IT applied suggested code changes
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:42:7: warning: use ZeroDuration() for zero-length time intervals [abseil-duration-factory-scale]
  d = absl::Seconds(float{0});
      ^~~~~~~~~~~~~~~~~~~~~~~
      absl::ZeroDuration()
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:42:7: note: FIX-IT applied suggested code changes
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:47:7: warning: internal duration scaling can be removed [abseil-duration-factory-scale]
  d = absl::Seconds(30 * 60);
      ^~~~~~~~~~~~~~~~~~~~~~
      absl::Minutes(30)
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:47:7: note: FIX-IT applied suggested code changes
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:50:7: warning: internal duration scaling can be removed [abseil-duration-factory-scale]
  d = absl::Seconds(60 * 30);
      ^~~~~~~~~~~~~~~~~~~~~~
      absl::Minutes(30)
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:50:7: note: FIX-IT applied suggested code changes
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:55:7: warning: internal duration scaling can be removed [abseil-duration-factory-scale]
  d = absl::Seconds(60 * 30 * 60);
      ^~~~~~~~~~~~~~~~~~~~~~~~~~~
      absl::Minutes(60 * 30)
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:55:7: note: FIX-IT applied suggested code changes
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:61:7: warning: internal duration scaling can be removed [abseil-duration-factory-scale]
  d = absl::Milliseconds(30 * 1000);
      ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
      absl::Seconds(30)
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:61:7: note: FIX-IT applied suggested code changes
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:69:7: warning: internal duration scaling can be removed [abseil-duration-factory-scale]
  d = absl::Seconds(5 * 3600);
      ^~~~~~~~~~~~~~~~~~~~~~~
      absl::Hours(5)
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:69:7: note: FIX-IT applied suggested code changes
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:72:7: warning: internal duration scaling can be removed [abseil-duration-factory-scale]
  d = absl::Microseconds(5 * 1e6);
      ^~~~~~~~~~~~~~~~~~~~~~~~~~~
      absl::Seconds(5)
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:72:7: note: FIX-IT applied suggested code changes
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:78:7: warning: internal duration scaling can be removed [abseil-duration-factory-scale]
  d = absl::Microseconds(5 * 1000000);
      ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
      absl::Seconds(5)
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:78:7: note: FIX-IT applied suggested code changes
clang-tidy applied 18 of 18 suggested fixes.
Suppressed 7 warnings (7 with check filters).

------------------------------------------------------------------
------------------------------ Fixes -----------------------------
--- /var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp.orig	2020-06-28 23:45:25.676093497 +0200
+++ /var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp	2020-06-28 23:45:25.702761011 +0200
@@ -9,56 +9,56 @@
   absl::Duration d;
 
   // Zeroes
-  d = absl::Hours(0);
+  d = absl::ZeroDuration();
   //
   //
-  d = absl::Minutes(0);
+  d = absl::ZeroDuration();
   //
   //
-  d = absl::Seconds(0);
+  d = absl::ZeroDuration();
   //
   //
-  d = absl::Milliseconds(0);
+  d = absl::ZeroDuration();
   //
   //
-  d = absl::Microseconds(0);
+  d = absl::ZeroDuration();
   //
   //
-  d = absl::Nanoseconds(0);
+  d = absl::ZeroDuration();
   //
   //
-  d = absl::Seconds(0.0);
+  d = absl::ZeroDuration();
   //
   //
-  d = absl::Seconds(0x0.000001p-126f);
+  d = absl::ZeroDuration();
   //
   //
-  d = absl::Seconds(int{0});
+  d = absl::ZeroDuration();
   //
   //
-  d = absl::Seconds(int64_t{0});
+  d = absl::ZeroDuration();
   //
   //
-  d = absl::Seconds(float{0});
+  d = absl::ZeroDuration();
   //
   //
 
   // Fold seconds into minutes
-  d = absl::Seconds(30 * 60);
+  d = absl::Minutes(30);
   //
   //
-  d = absl::Seconds(60 * 30);
+  d = absl::Minutes(30);
   //
   //
 
   // Try a few more exotic multiplications
-  d = absl::Seconds(60 * 30 * 60);
+  d = absl::Minutes(60 * 30);
   //
   //
   d = absl::Seconds(1e-3 * 30);
   //
   //
-  d = absl::Milliseconds(30 * 1000);
+  d = absl::Seconds(30);
   //
   //
   d = absl::Milliseconds(30 * 0.001);
@@ -66,16 +66,16 @@
   //
 
   // Multiple steps
-  d = absl::Seconds(5 * 3600);
+  d = absl::Hours(5);
   //
   //
-  d = absl::Microseconds(5 * 1e6);
+  d = absl::Seconds(5);
   //
   //
   d = absl::Seconds(5 * 1e-6);
   //
   //
-  d = absl::Microseconds(5 * 1000000);
+  d = absl::Seconds(5);
   //
   //
 

------------------------------------------------------------------
FileCheck failed:
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang/tools/extra/test/clang-tidy/checkers/abseil-duration-factory-scale.cpp:60:19: error: CHECK-FIXES: expected string not found in input
  // CHECK-FIXES: absl::Milliseconds(30);
                  ^
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:56:3: note: scanning from here
  //
  ^
/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp:64:7: note: possible intended match here
  d = absl::Milliseconds(30 * 0.001);
      ^


--
Command Output (stderr):
--
+ : 'RUN: at line 1'
+ /var/tmp/portage/sys-devel/clang-10.0.0/temp/python3.7/bin/python /var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang/tools/extra/test/../test/clang-tidy/check_clang_tidy.py /var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang/tools/extra/test/clang-tidy/checkers/abseil-duration-factory-scale.cpp abseil-duration-factory-scale /var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp -- -- -I/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang/tools/extra/test/clang-tidy/checkers/Inputs
Traceback (most recent call last):
  File "/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang/tools/extra/test/../test/clang-tidy/check_clang_tidy.py", line 249, in <module>
    main()
  File "/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang/tools/extra/test/../test/clang-tidy/check_clang_tidy.py", line 245, in main
    run_test_once(args, extra_args)
  File "/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang/tools/extra/test/../test/clang-tidy/check_clang_tidy.py", line 171, in run_test_once
    stderr=subprocess.STDOUT)
  File "/usr/lib/python3.7/subprocess.py", line 411, in check_output
    **kwargs).stdout
  File "/usr/lib/python3.7/subprocess.py", line 512, in run
    output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['FileCheck', '-input-file=/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/test/clang-tidy/checkers/Output/abseil-duration-factory-scale.cpp.tmp.cpp', '/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang/tools/extra/test/clang-tidy/checkers/abseil-duration-factory-scale.cpp', '-check-prefixes=CHECK-FIXES', '-strict-whitespace']' returned non-zero exit status 1.

--

********************
Comment 4 Thomas Deutschmann gentoo-dev Security 2020-09-20 20:17:18 UTC
*** Bug 743829 has been marked as a duplicate of this bug. ***
Comment 5 Thomas Deutschmann gentoo-dev Security 2020-11-17 18:34:16 UTC
Still failing in 11.0.0.